<?php
if ( ! function_exists( 'farmacie_customizer_social_media_config' ) ) {
	function farmacie_customizer_social_media_config( $configs ) {

		$section = 'farmacie_social_media';

		$config = array(
			array(
				'name'     => 'social_media_panel',
				'type'     => 'panel',
				'priority' => 22,
				'title'    => esc_html__( 'Social Media', 'farmacie' ),
			),

			// Social Shares Tab.
			array(
				'name'  => "farmacie_social_media_shares",
				'type'  => 'section',
				'panel' => 'social_media_panel',
				'title' => esc_html__( 'Social Shares', 'farmacie' ),
			),

			array(
				'name'            => 'farmacie_social_media_shares_twitter',
				'type'            => 'checkbox',
				'section'         => 'farmacie_social_media_shares',
				'title'           => esc_html__( 'Twitter', 'farmacie' ),
			),

			array(
				'name'            => 'farmacie_social_media_shares_facebook',
				'type'            => 'checkbox',
				'section'         => 'farmacie_social_media_shares',
				'title'           => esc_html__( 'Facebook', 'farmacie' ),
			),

			array(
				'name'            => 'farmacie_social_media_shares_whatsapp',
				'type'            => 'checkbox',
				'section'         => 'farmacie_social_media_shares',
				'title'           => esc_html__( 'Whatsapp', 'farmacie' ),
			),

			array(
				'name'            => 'farmacie_social_media_shares_pinterest',
				'type'            => 'checkbox',
				'section'         => 'farmacie_social_media_shares',
				'title'           => esc_html__( 'Pinterest', 'farmacie' ),
			),

			array(
				'name'            => 'farmacie_social_media_shares_linkedin',
				'type'            => 'checkbox',
				'section'         => 'farmacie_social_media_shares',
				'title'           => esc_html__( 'Linkedin', 'farmacie' ),
			),

			array(
				'name'            => 'farmacie_social_media_shares_telegram',
				'type'            => 'checkbox',
				'section'         => 'farmacie_social_media_shares',
				'title'           => esc_html__( 'Telegram', 'farmacie' ),
			),

			array(
				'name'            => 'farmacie_social_media_shares_email',
				'type'            => 'checkbox',
				'section'         => 'farmacie_social_media_shares',
				'title'           => esc_html__( 'Email', 'farmacie' ),
			),

			// Social Links Tab.
			array(
				'name'  => "farmacie_social_media_links",
				'type'  => 'section',
				'panel' => 'social_media_panel',
				'title' => esc_html__( 'Social Links', 'farmacie' ),
			),

			array(
				'name'            => 'farmacie_social_media_links_twitter',
				'type'            => 'text',
				'section'         => 'farmacie_social_media_links',
				'title'           => esc_html__( 'Twitter', 'farmacie' ),
			),
			array(
				'name'            => 'farmacie_social_media_links_facebook',
				'type'            => 'text',
				'section'         => 'farmacie_social_media_links',
				'title'           => esc_html__( 'Facebook', 'farmacie' ),
			),
			array(
				'name'            => 'farmacie_social_media_links_youtube',
				'type'            => 'text',
				'section'         => 'farmacie_social_media_links',
				'title'           => esc_html__( 'Youtube', 'farmacie' ),
			),
			array(
				'name'            => 'farmacie_social_media_links_pinterest',
				'type'            => 'text',
				'section'         => 'farmacie_social_media_links',
				'title'           => esc_html__( 'Pinterest', 'farmacie' ),
			),
			array(
				'name'            => 'farmacie_social_media_links_linkedin',
				'type'            => 'text',
				'section'         => 'farmacie_social_media_links',
				'title'           => esc_html__( 'Linkedin', 'farmacie' ),
			),
			array(
				'name'            => 'farmacie_social_media_links_skype',
				'type'            => 'text',
				'section'         => 'farmacie_social_media_links',
				'title'           => esc_html__( 'Skype', 'farmacie' ),
			),
			array(
				'name'            => 'farmacie_social_media_links_instagram',
				'type'            => 'text',
				'section'         => 'farmacie_social_media_links',
				'title'           => esc_html__( 'Instagram', 'farmacie' ),
			),
			array(
				'name'            => 'farmacie_social_media_links_dribble',
				'type'            => 'text',
				'section'         => 'farmacie_social_media_links',
				'title'           => esc_html__( 'Dribble', 'farmacie' ),
			),
			array(
				'name'            => 'farmacie_social_media_links_vimeo',
				'type'            => 'text',
				'section'         => 'farmacie_social_media_links',
				'title'           => esc_html__( 'Vimeo', 'farmacie' ),
			),
		);

		return array_merge( $configs, $config );
	}
}

add_filter( 'farmacie/customizer/config', 'farmacie_customizer_social_media_config' );
