<?php
class Farmacie_Customizer_Control_Font extends Farmacie_Customizer_Control_Base {
	static function field_template() {
		?>
		<script type="text/html" id="tmpl-field-farmacie-css-ruler">
		<?php
		self::before_field();
		?>
		<?php echo self::field_header(); ?>
		<div class="farmacie-field-settings-inner">
			<input type="hidden" class="farmacie--font-type" data-name="{{ field.name }}-type" >
			<div class="farmacie--font-families-wrapper">
				<select class="farmacie--font-families" data-value="{{ JSON.stringify( field.value ) }}" data-name="{{ field.name }}-font"></select>
			</div>
			<div class="farmacie--font-variants-wrapper">
				<label><?php _e( 'Variants', 'farmacie' ); ?></label>
				<select class="farmacie--font-variants" data-name="{{ field.name }}-variant"></select>
			</div>
			<div class="farmacie--font-subsets-wrapper">
				<label><?php _e( 'Languages', 'farmacie' ); ?></label>
				<div data-name="{{ field.name }}-subsets" class="list-subsets">
				</div>
			</div>
		</div>
		<?php
		self::after_field();
		?>
		</script>
		<?php
	}
}
