<?php

class Farmacie_Customizer_Control_Repeater extends Farmacie_Customizer_Control_Base {
	static function field_template() {
		?>
		<script type="text/html" id="tmpl-field-farmacie-repeater">
			<?php
			self::before_field();
			?>
			<?php echo self::field_header(); ?>
			<div class="farmacie-field-settings-inner">
			</div>
			<?php
			self::after_field();
			?>
		</script>
		<script type="text/html" id="tmpl-customize-control-repeater-item">
			<div class="farmacie--repeater-item">
				<div class="farmacie--repeater-item-heading">
					<label class="farmacie--repeater-visible" title="<?php esc_attr_e( 'Toggle item visible', 'farmacie' ); ?>">
						<input type="checkbox" class="r-visible-input">
						<span class="r-visible-icon"></span>
						<span class="screen-reader-text"><?php _e( 'Show', 'farmacie' ); ?></label>
					<span class="farmacie--repeater-live-title"></span>
					<div class="farmacie-nav-reorder">
						<span class="farmacie--down" tabindex="-1">
							<span class="screen-reader-text"><?php _e( 'Move Down', 'farmacie' ); ?></span></span>
						<span class="farmacie--up" tabindex="0">
							<span class="screen-reader-text"><?php _e( 'Move Up', 'farmacie' ); ?></span>
						</span>
					</div>
					<a href="#" class="farmacie--repeater-item-toggle">
						<span class="screen-reader-text"><?php _e( 'Close', 'farmacie' ); ?></span></a>
				</div>
				<div class="farmacie--repeater-item-settings">
					<div class="farmacie--repeater-item-inside">
						<div class="farmacie--repeater-item-inner"></div>
						<# if ( data.addable ){ #>
						<a href="#" class="farmacie--remove"><?php _e( 'Remove', 'farmacie' ); ?></a>
						<# } #>
					</div>
				</div>
			</div>
		</script>
		<script type="text/html" id="tmpl-customize-control-repeater-inner">
			<div class="farmacie--repeater-inner">
				<div class="farmacie--settings-fields farmacie--repeater-items"></div>
				<div class="farmacie--repeater-actions">
				<a href="#" class="farmacie--repeater-reorder"
				data-text="<?php esc_attr_e( 'Reorder', 'farmacie' ); ?>"
				data-done="<?php _e( 'Done', 'farmacie' ); ?>"><?php _e( 'Reorder', 'farmacie' ); ?></a>
					<# if ( data.addable ){ #>
					<button type="button"
							class="button farmacie--repeater-add-new"><?php _e( 'Add an item', 'farmacie' ); ?></button>
					<# } #>
				</div>
			</div>
		</script>
		<?php
	}
}
