<?php
class Farmacie_Customizer_Control_Shadow extends Farmacie_Customizer_Control_Base {
	static function field_template() {
		echo '<script type="text/html" id="tmpl-field-farmacie-shadow">';
		self::before_field();
		?>
		<#
			if ( ! _.isObject( field.value ) ) {
			field.value = { };
			}

			var uniqueID = field.name + ( new Date().getTime() );
		#>
			<?php echo self::field_header(); ?>
			<div class="farmacie-field-settings-inner">

				<div class="farmacie-input-color" data-default="{{ field.default }}">
					<input type="hidden" class="farmacie-input farmacie-input--color" data-name="{{ field.name }}-color" value="{{ field.value.color }}">
					<input type="text" class="farmacie--color-panel" data-alpha="true" value="{{ field.value.color }}">
				</div>

				<div class="farmacie--gr-inputs">
					<span>
						<input type="number" class="farmacie-input farmacie-input-css change-by-js"  data-name="{{ field.name }}-x" value="{{ field.value.x }}">
						<span class="farmacie--small-label"><?php _e( 'X', 'farmacie' ); ?></span>
					</span>
					<span>
						<input type="number" class="farmacie-input farmacie-input-css change-by-js"  data-name="{{ field.name }}-y" value="{{ field.value.y }}">
						<span class="farmacie--small-label"><?php _e( 'Y', 'farmacie' ); ?></span>
					</span>
					<span>
						<input type="number" class="farmacie-input farmacie-input-css change-by-js" data-name="{{ field.name }}-blur" value="{{ field.value.blur }}">
						<span class="farmacie--small-label"><?php _e( 'Blur', 'farmacie' ); ?></span>
					</span>
					<span>
						<input type="number" class="farmacie-input farmacie-input-css change-by-js" data-name="{{ field.name }}-spread" value="{{ field.value.spread }}">
						<span class="farmacie--small-label"><?php _e( 'Spread', 'farmacie' ); ?></span>
					</span>
					<span>
						<span class="input">
							<input type="checkbox" class="farmacie-input farmacie-input-css change-by-js" <# if ( field.value.inset == 1 ){ #> checked="checked" <# } #> data-name="{{ field.name }}-inset" value="{{ field.value.inset }}">
						</span>
						<span class="farmacie--small-label"><?php _e( 'inset', 'farmacie' ); ?></span>
					</span>
				</div>
			</div>
			<?php
			self::after_field();
			echo '</script>';
	}
}
