<?php
class Farmacie_Customizer_Control_Styling extends Farmacie_Customizer_Control_Modal {
	static function field_template() {
		echo '<script type="text/html" id="tmpl-field-farmacie-styling">';
		self::before_field();
		?>
		<?php echo self::field_header(); ?>
		<div class="farmacie-actions">
			<a href="#" title="<?php esc_attr_e( 'Reset to default', 'farmacie' ); ?>" class="action--reset" data-control="{{ field.name }}"><span class="dashicons dashicons-image-rotate"></span></a>
			<a href="#" title="<?php esc_attr_e( 'Toggle edit panel', 'farmacie' ); ?>" class="action--edit" data-control="{{ field.name }}"><span class="dashicons dashicons-admin-customizer"></span></a>
		</div>
		<div class="farmacie-field-settings-inner">
			<input type="hidden" class="farmacie-hidden-modal-input farmacie-only" data-name="{{ field.name }}" value="{{ JSON.stringify( field.value ) }}" data-default="{{ JSON.stringify( field.default ) }}">
		</div>
		<?php
		self::after_field();
		echo '</script>';
		?>
		<script type="text/html" id="tmpl-farmacie-modal-settings">
			<div class="farmacie-modal-settings">
				<div class="farmacie-modal-settings--inner">
					<div class="farmacie-modal-settings--fields"></div>
				</div>
			</div>
		</script>
		<?php
	}
}
